Skip to main content
PATCH
/
api
/
v1
/
tags
/
{tagId}
Update Tag
curl --request PATCH \
  --url https://api.sequenzy.com/api/v1/tags/{tagId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "color": "<string>"
}
'
{
  "success": true,
  "tag": {
    "id": "tag_abc123",
    "name": "premium",
    "color": "green",
    "isSystem": false
  }
}
Update a tag definition’s color. Tag names cannot be changed, and system tags cannot be updated.

Request

tagId
string
required
Tag definition ID.
color
string
required
Tag color. One of: gray, red, orange, amber, yellow, lime, green, emerald, teal, cyan, sky, blue, indigo, violet, purple, fuchsia, pink, rose.
curl -X PATCH "https://api.sequenzy.com/api/v1/tags/tag_abc123" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"color": "green"}'

Responses

{
  "success": true,
  "tag": {
    "id": "tag_abc123",
    "name": "premium",
    "color": "green",
    "isSystem": false
  }
}